ngIRCd < 0.8.3 Log_Resolver() Remote Format String Overflow

High Nessus Network Monitor Plugin ID 2591

Synopsis

The remote host is vulnerable to a buffer overflow.

Description

The remote host is running a version of the ngIRCd service that may
be vulnerable to a buffer overflow in the way the server handles user-supplied data which is passed to syslog().

Solution

Upgrade to version 0.8.3 or higher.

See Also

http://marc.info/?l=bugtraq&amp;m=110746413108183&amp;w=2

http://ngircd.barton.de/doc/ChangeLog

http://arthur.barton.de/pipermail/ngircd-ml/2005-February/000234.html

Plugin Details

Severity: High

ID: 2591

File Name: 2591.prm

Family: Generic

Published: 2005/02/04

Modified: 2016/02/05

Nessus ID: 16310

Risk Information

Risk Factor: High

CVSSv2

Base Score: 7.6

Temporal Score: 7.2

Vector: CVSS2#AV:N/AC:H/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:F/RL:U/RC:ND

CVSSv3

Base Score: 8.1

Temporal Score: 7.9

Vector: CVSS3#AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS3#E:F/RL:U/RC:X

Reference Information

CVE: CVE-2005-0226

BID: 12434